<html>
    <head>
        <meta charset="utf-8">
    </head>
    <body>
        

        <label for="Celcius">Graus Celcius</label>
        <input type="text" id="textC"></br>
        <label for="Fahrenheit">Fahrenheit</label>
        <input type="text" id="textF"></br>
        <input type="button" value="convert!" onclick="convert()">
        
        <script>
        function convert(){
            var inputC = document.getElementById('textC');
            var valueC = inputC.value;
            var inputF = document.getElementById('textF');
            var valueF = inputF.value;
            if(valueC !='' && valueF !=''){
                alert('favor prencher somente uma opção');
            }else if(valueC !=''){
                alert('convertendo p/ fahrenheit');
                var F = (valueC*1.8) + 32 ; 
                alert('Celcius >> Fahrenheit=' +F)
            }else if(valueF !=''){
                alert('convertendo p/ Celcius')
                var C = (valueF - 32) / 1.8 ;
                alert('Fahrenheit >> Celcius='+C)
            }
        }
        </script>

    </body>
</html>